Subject: bug#71477: 30.0.50; Lock files are not deleted on Windows 98

From: Po Lu <[email-masked]>
Date: Tue, 11 Jun 2024 21:34:22 +0800

Eli Zaretskii <[email-masked]> writes:

> OK, but could you provide some additional details, so I could
> understand the issue better?  What kind of negative values do you get
> from getpid on Windows 98, and what does the system show as the PID of
> that process?  Is the value really such a large positive number that
> its MSB is set?

The value of getpid was -1859765, but I did not attempt to read the PID
manually with GetCurrentProcessID or cross-check it against the OS's
equivalent of ps, if there exists one at all.

> According to my records, _getpid just calls GetCurrentProcessId and
> returns the value as an int.  So for _getpid to return a negative
> value, GetCurrentProcessId should return a very large positive value,
> I think.

There's a screenshot on this forum that, if it is to be trusted,
demonstrates that PIDs are indeed of this scale on Windows 9X:

  https://www.vbforums.com/showthread.php?308830-Task-Manager-For-Windows-98